# IPTV

Collection of 8000+ publicly available IPTV channels from all over the world.

## Usage

To watch IPTV you just need to paste this link `https://raw.githubusercontent.com/freearhey/iptv/master/index.m3u` to any player with support M3U-playlists.

![VLC Network Panel](https://github.com/freearhey/iptv/raw/master/preview.png)

If your application does not support nested playlists, you can instead use one of these playlists:

- `https://raw.githubusercontent.com/freearhey/iptv/master/index.full.m3u` (grouped by country and content)
- `https://raw.githubusercontent.com/freearhey/iptv/master/index.country.m3u` (grouped by country)
- `https://raw.githubusercontent.com/freearhey/iptv/master/index.content.m3u` (grouped by content)

Or select one of the playlists from the list below.

## Playlists by category

| Category      | Channels | Playlist
| :------------ | -------: | :-------
| Auto          | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/auto.m3u`
| Business      | 38       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/business.m3u`
| Classic       | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/classic.m3u`
| Comedy        | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/comedy.m3u`
| Documentary   | 14       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/documentary.m3u`
| Education     | 9        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/education.m3u`
| Entertainment | 98       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/entertainment.m3u`
| Family        | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/family.m3u`
| Fashion       | 35       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/fashion.m3u`
| Food          | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/food.m3u`
| General       | 36       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/general.m3u`
| Health        | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/health.m3u`
| History       | 7        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/history.m3u`
| Hobby         | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/hobby.m3u`
| Kids          | 54       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/kids.m3u`
| Legislative   | 11       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/legislative.m3u` 
| Lifestyle     | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/lifestyle.m3u`
| Local         | 277      | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/local.m3u`
| Movies        | 141      | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/movies.m3u`
| Music         | 239      | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/music.m3u`
| News          | 344      | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/news.m3u`
| Quiz          | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/quiz.m3u`
| Religious     | 98       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/religious.m3u`
| Sci-Fi        | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/sci-fi.m3u`
| Shop          | 23       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/shop.m3u`
| Sport         | 221      | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/sport.m3u`
| Travel        | 10       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/travel.m3u`
| Weather       | 7        | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/weather.m3u`
| XXX           | 43       | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/xxx.m3u`
| Other         | 6055     | `https://raw.githubusercontent.com/freearhey/iptv/master/categories/other.m3u`

## Playlists by country

| Country                | Channels | Playlist | EPG
| :--------------------- | -------: | :------- | :--
| Afghanistan            | 26       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/af.m3u` |
| Albania                | 32       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/al.m3u` | `http://195.154.221.171/epg/guidealbania.xml.gz`
| Algeria                | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/dz.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Andorra                | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ad.m3u` |
| Angola                 | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ao.m3u` |
| Argentina              | 87       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ar.m3u` |
| Armenia                | 52       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/am.m3u` |
| Aruba                  | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/aw.m3u` |
| Australia              | 15       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/au.m3u` | `http://i.mjh.nz/nzau/epg.xml.gz`
| Austria                | 20       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/at.m3u` | `http://epg.streamstv.me/epg/guide-austria.xml.gz`
| Azerbaijan             | 31       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/az.m3u` | `https://iptvx.one/epg/epg.xml.gz`
| Bahamas                | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/bs.m3u` |
| Bahrain                | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/bh.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Bangladesh             | 6        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/bd.m3u` |
| Barbados               | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/bb.m3u` |
| Belarus                | 7        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/by.m3u` | `https://iptvx.one/epg/epg.xml.gz`
| Belgium                | 34       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/be.m3u` | `http://195.154.221.171/epg/guidebelgium.xml.gz`
| Bolivia                | 10       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/bo.m3u` |
| Bosnia and Herzegovina | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ba.m3u` | `http://epg.streamstv.me/epg/guide-exyu.xml.gz`
| Brazil                 | 81       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/br.m3u` | `http://infinitytv.xyz/guide.xml`
| Brunei                 | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/bn.m3u` |
| Bulgaria               | 25       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/bg.m3u` | `http://195.154.221.171/epg/guidebulgaria.xml.gz`
| Burkina Faso           | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/bf.m3u` |
| Cambodia               | 7        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/kh.m3u` |
| Cameroon               | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cm.m3u` |
| Canada                 | 49       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ca.m3u` | `http://epg.streamstv.me/epg/guide-canada.xml.gz`
| Cape Verde             | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cv.m3u` |
| Chile                  | 73       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cl.m3u` |
| China                  | 2722     | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cn.m3u` |
| Colombia               | 33       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/co.m3u` |
| Costa Rica             | 12       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cr.m3u` |
| Croatia                | 33       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/hr.m3u` | `http://tvprofil.net/xmltv/data/epg_tvprofil.net.xml`
| Cuba                   | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cu.m3u` |
| Curaçao                | 5        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cw.m3u` |
| Cyprus                 | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cy.m3u` | `http://195.154.221.171/epg/guidegreece.xml.gz`
| Czech Republic         | 38       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cz.m3u` | `http://epg.streamstv.me/epg/guide-cz.xml.gz`
| Democratic Republic of the Congo | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cd.m3u` |
| Denmark                | 13       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/dk.m3u` | `http://195.154.221.171/epg/guidedenmark.xml.gz`
| Dominican Republic     | 58       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/do.m3u` |
| Ecuador                | 9        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ec.m3u` |
| Egypt                  | 33       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/eg.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| El Salvador            | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sv.m3u` |
| Equatorial Guinea      | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gq.m3u` |
| Estonia                | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ee.m3u` | `http://195.154.221.171/epg/guideestonia.xml.gz`
| Ethiopia               | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/et.m3u` |
| Faroe Islands          | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/fo.m3u` |
| Finland                | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/fi.m3u` | `http://195.154.221.171/epg/guidefinland.xml.gz`
| Fiji                   | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/fj.m3u` |
| France                 | 72       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/fr.m3u` | `http://195.154.221.171/epg/guidefrance.xml.gz`
| Gambia                 | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gm.m3u` |
| Georgia                | 10       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ge.m3u` |
| Germany                | 150      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/de.m3u` | `http://195.154.221.171/epg/guidegermany.xml.gz`
| Ghana                  | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gh.m3u` |
| Gibraltar              | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gi.m3u` |
| Greece                 | 72       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gr.m3u` | `http://195.154.221.171/epg/guidegreece.xml.gz`
| Grenada                | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gd.m3u` |
| Guadeloupe             | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gp.m3u` |
| Guam                   | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gu.m3u` |
| Guatemala              | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gt.m3u` |
| Guyana                 | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/gy.m3u` |
| Haiti                  | 12       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ht.m3u` |
| Honduras               | 34       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/hn.m3u` |
| Hong Kong              | 43       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/hk.m3u` |
| Hungary                | 12       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/hu.m3u` | `http://epg.streamstv.me/epg/guide-hungry.xml.gz`
| Iceland                | 11       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/is.m3u` |
| India                  | 324      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/in.m3u` | `http://epg.streamstv.me/epg/guide-india.xml.gz`
| Indonesia              | 208      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/id.m3u` |
| Iran                   | 32       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ir.m3u` | `http://195.154.221.171/epg/guideiran.xml.gz`
| Iraq                   | 14       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/iq.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Ireland                | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ie.m3u` |
| Israel                 | 22       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/il.m3u` | `http://epg.streamstv.me/epg/guide-israel.xml.gz`
| Italy                  | 247      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/it.m3u` | `http://195.154.221.171/epg/guideitaly.xml.gz`
| Ivory Coast            | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ci.m3u` |
| Jamaica                | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/jm.m3u` |
| Japan                  | 25       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/jp.m3u` |
| Jordan                 | 6        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/jo.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Kazakhstan             | 19       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/kz.m3u` | `https://iptvx.one/epg/epg.xml.gz`
| Kenya                  | 6        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ke.m3u` |
| Kosovo                 | 13       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/xk.m3u` |
| Kuwait                 | 30       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/kw.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Kyrgyzstan             | 6        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/kg.m3u` |
| Laos                   | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/la.m3u` |
| Latvia                 | 17       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/lv.m3u` | `https://iptvx.one/epg/epg.xml.gz`
| Lebanon                | 24       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/lb.m3u` |
| Libya                  | 5        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ly.m3u` |
| Liechtenstein          | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/li.m3u` |
| Lithuania              | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/lt.m3u` | `https://iptvx.one/epg/epg.xml.gz`
| Luxembourg             | 5        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/lu.m3u` |
| Macau                  | 14       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mo.m3u` |
| Macedonia              | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mk.m3u` |
| Madagascar             | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mg.m3u` |
| Malaysia               | 23       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/my.m3u` |
| Maldives               | 5        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mv.m3u` |
| Malta                  | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mt.m3u` | `http://epg.streamstv.me/epg/guide-malta.xml.gz`
| Mexico                 | 73       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mx.m3u` |
| Moldova                | 18       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/md.m3u` | `https://iptvx.one/epg/epg.xml.gz`
| Monaco                 | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mc.m3u` |
| Mongolia               | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mn.m3u` |
| Montenegro             | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/me.m3u` |
| Morocco                | 21       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ma.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Mozambique             | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mz.m3u` |
| Myanmar                | 6        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/mm.m3u` |
| Nepal                  | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/np.m3u` |
| Netherlands            | 29       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/nl.m3u` | `http://195.154.221.171/epg/guidenetherlands.xml.gz`
| New Zealand            | 10       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/nz.m3u` | `http://i.mjh.nz/nzau/epg.xml.gz`
| Nicaragua              | 10       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ni.m3u` |
| Niger                  | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ne.m3u` |
| Nigeria                | 13       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ng.m3u` |
| North Korea            | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/kp.m3u` |
| Norway                 | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/no.m3u` | `http://epg.streamstv.me/epg/guide-norway.xml.gz`
| Oman                   | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/om.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Pakistan               | 22       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/pk.m3u` |
| Palestine              | 18       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ps.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Panama                 | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/pa.m3u` |
| Paraguay               | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/py.m3u` |
| Peru                   | 29       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/pe.m3u` |
| Philippines            | 11       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ph.m3u` |
| Poland                 | 14       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/pl.m3u` | `http://195.154.221.171/epg/guidepoland.xml.gz`
| Portugal               | 34       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/pt.m3u` | `http://195.154.221.171/epg/guideportugal.xml.gz`
| Puerto Rico            | 5        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/pr.m3u` |
| Qatar                  | 9        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/qa.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Republic of the Congo  | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/cg.m3u` |
| Romania                | 79       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ro.m3u` | `http://195.154.221.171/epg/guideromania.xml.gz`
| Russia                 | 319      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ru.m3u` | `https://iptvx.one/epg/epg.xml.gz`
| Rwanda                 | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/rw.m3u` |
| Saint Kitts and Nevis  | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/kn.m3u` |
| San Marino             | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sm.m3u` |
| Saudi Arabia           | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sa.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Senegal                | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sn.m3u` |
| Serbia                 | 5        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/rs.m3u` | `http://epg.streamstv.me/epg/guide-exyu.xml.gz`
| Sierra Leone           | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sl.m3u` |
| Singapore              | 11       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sg.m3u` |
| Sint Maarten           | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sx.m3u` |
| Slovakia               | 37       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sk.m3u` |
| Slovenia               | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/si.m3u` | `http://195.154.221.171/epg/guideslovenia.xml.gz`
| Somalia                | 5        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/so.m3u` |
| South Africa           | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/za.m3u` | `http://i.mjh.nz/za/DStv/epg.xml.gz`
| South Korea            | 65       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/kr.m3u` |
| Spain                  | 162      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/es.m3u` | `http://195.154.221.171/epg/guidespain.xml.gz`
| Sri Lanka              | 7        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/lk.m3u` |
| Sudan                  | 6        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sd.m3u` |
| Suriname               | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sr.m3u` |
| Sweden                 | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/se.m3u` | `http://195.154.221.171/epg/guidesweden.xml.gz`
| Switzerland            | 29       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ch.m3u` | `http://195.154.221.171/epg/guideswitzerland.xml.gz`
| Syria                  | 16       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/sy.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Taiwan                 | 37       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/tw.m3u` |
| Tajikistan             | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/tj.m3u` |
| Tanzania               | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/tz.m3u` |
| Thailand               | 55       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/th.m3u` |
| Togo                   | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/tg.m3u` |
| Trinidad and Tobago    | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/tt.m3u` |
| Tunisia                | 4        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/tn.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| Turkey                 | 90       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/tr.m3u` | `http://195.154.221.171/epg/guideturkey.xml.gz`
| Turkmenistan           | 10       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/tm.m3u` |
| Uganda                 | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ug.m3u` |
| Ukraine                | 180      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ua.m3u` | `https://iptvx.one/epg/epg.xml.gz`
| United Arab Emirates   | 89       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ae.m3u` | `http://195.154.221.171/epg/guidearab.xml.gz`
| United Kingdom         | 42       | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/uk.m3u` | `http://195.154.221.171/epg/guideuk.xml.gz`
| United States          | 565      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/us.m3u` | `http://epg.streamstv.me/epg/guide-usa.xml.gz`
| Uruguay                | 5        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/uy.m3u` |
| Uzbekistan             | 0        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/uz.m3u` |
| Venezuela              | 8        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ve.m3u` |
| Vietnam                | 131      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/vn.m3u` |
| Virgin Islands of the United States | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/vi.m3u` |
| Western Sahara         | 1        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/eh.m3u` |
| Yemen                  | 3        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/ye.m3u` |
| Zimbabwe               | 2        | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/zw.m3u` |
| International          | 424      | `https://raw.githubusercontent.com/freearhey/iptv/master/channels/int.m3u`|

## Resources

You can find a links to various IPTV related resources in a separate [freearhey/awesome-iptv](https://github.com/freearhey/awesome-iptv) repository.

## Contribution

Please make sure to read the [Contributing Guide](https://github.com/freearhey/iptv/blob/master/.github/CONTRIBUTING.md) before making a pull request.

If you just found an error or have any suggestions on how to organize a playlist please send an [issue](https://github.com/freearhey/iptv/issues).
